OGRE-Next: Ogre::CompositorWorkspaceListener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::CompositorWorkspaceListener Class Reference
Core » Effects

`#include <OgreCompositorWorkspaceListener.h>`

## Public Member Functions
virtual void | allWorkspacesBeforeBeginUpdate ()
| Called from CompositorManager2 (not CompositorWorkspace) when we're about to begin updating all the workspaces.
virtual void | allWorkspacesBeginUpdate ()
| Called from CompositorManager2 (not CompositorWorkspace) when we're about to update all the workspaces (it's safe to update your own workspaces without calling _beginUpdate and _endUpdate) Warning: Don't add/remove listeners to CompositorManager2 inside this function.
virtual void | passEarlyPreExecute (CompositorPass *pass)
| Called early on in pass' execution.
virtual void | passPosExecute (CompositorPass *pass)
| Called after a pass has been executed.
virtual void | passPreExecute (CompositorPass *pass)
| Called when each pass is about to be executed.
virtual void | passSceneAfterFrustumCulling (CompositorPassScene *pass)
| Called after a pass scene has performed frustum caulling but has yet to prepare and execute rendering commands.
virtual void | passSceneAfterShadowMaps (CompositorPassScene *pass)
| Called after a pass scene has rendered shadow casting (it gets called even if there is no shadow node).
virtual void | workspacePosUpdate (CompositorWorkspace *workspace)
| Called after all nodes has been updated.
virtual void | workspacePreUpdate (CompositorWorkspace *workspace)
| Called before all nodes are going to be updated.

## Member Function Documentation

## ◆ allWorkspacesBeforeBeginUpdate()

virtual void Ogre::CompositorWorkspaceListener::allWorkspacesBeforeBeginUpdate | ( |  | ) |
| inlinevirtual

Called from CompositorManager2 (not CompositorWorkspace) when we're about to begin updating all the workspaces.

You'll have to manage the RenderSystem and SceneManager to call the adequate begin/end calls Warning: Don't add/remove listeners to CompositorManager2 inside this function.

## ◆ allWorkspacesBeginUpdate()

virtual void Ogre::CompositorWorkspaceListener::allWorkspacesBeginUpdate | ( |  | ) |
| inlinevirtual

Called from CompositorManager2 (not CompositorWorkspace) when we're about to update all the workspaces (it's safe to update your own workspaces without calling _beginUpdate and _endUpdate) Warning: Don't add/remove listeners to CompositorManager2 inside this function.

## ◆ passEarlyPreExecute()

virtual void Ogre::CompositorWorkspaceListener::passEarlyPreExecute | ( | CompositorPass * | pass | ) |
| inlinevirtual

Called early on in pass' execution.

Happens before passPreExecute, before the pass has set anything. Warning: calling pass->execute can result in recursive calls.

## ◆ passPosExecute()

virtual void Ogre::CompositorWorkspaceListener::passPosExecute | ( | CompositorPass * | pass | ) |
| inlinevirtual

Called after a pass has been executed.

Warning: calling pass->execute can result in recursive calls.

## ◆ passPreExecute()

virtual void Ogre::CompositorWorkspaceListener::passPreExecute | ( | CompositorPass * | pass | ) |
| inlinevirtual

Called when each pass is about to be executed.

Warning: calling pass->execute can result in recursive calls.

## ◆ passSceneAfterFrustumCulling()

virtual void Ogre::CompositorWorkspaceListener::passSceneAfterFrustumCulling | ( | CompositorPassScene * | pass | ) |
| inlinevirtual

Called after a pass scene has performed frustum caulling but has yet to prepare and execute rendering commands.

Gets called after passSceneAfterFrustumCulling and before passPosExecute

Warning: calling pass->execute can result in recursive calls.

## ◆ passSceneAfterShadowMaps()

virtual void Ogre::CompositorWorkspaceListener::passSceneAfterShadowMaps | ( | CompositorPassScene * | pass | ) |
| inlinevirtual

Called after a pass scene has rendered shadow casting (it gets called even if there is no shadow node).

Gets called after passPreExecute and before passSceneAfterFrustumCulling

Warning: calling pass->execute can result in recursive calls.

Parameters

  pass | PassScene calling this listener. Can be nullptr if the caller is CompositorPassWarmUp

## ◆ workspacePosUpdate()

virtual void Ogre::CompositorWorkspaceListener::workspacePosUpdate | ( | CompositorWorkspace * | workspace | ) |
| inlinevirtual

Called after all nodes has been updated.

## ◆ workspacePreUpdate()

virtual void Ogre::CompositorWorkspaceListener::workspacePreUpdate | ( | CompositorWorkspace * | workspace | ) |
| inlinevirtual

Called before all nodes are going to be updated.

Use this place to update your own, manually updated Workspaces without having to call CompositorWorkspace::_beginUpdate( forceBeginFrame=true )

The documentation for this class was generated from the following file:

- OgreCompositorWorkspaceListener.h